Summary:	2D Quantum Monte Carlo simulator for semiconductor devices
Name:		archimedes
Version:	0.8.0
Release:	2%{?dist}
License:	GPLv3+
Group:		Applications/Engineering
URL:		http://www.gnu.org/software/archimedes/
Source0:	ftp://ftp.gnu.org/gnu/archimedes/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	dos2unix
BuildRequires:	ghostscript
BuildRequires:	tetex-latex

%description
Archimedes is a package for the design and simulation of submicron
semiconductor devices. It is a 2D Fast Monte Carlo simulator which can take
into account all the relevant quantum effects, thank to the implementation of
the Bohm effective potential method.

The physics and geometry of a general device is introduced by typing a simple
script, which makes, in this sense, Archimedes a powerful tool for the
simulation of quite general semiconductor devices.

%prep
%setup -q

# Suppress rpmlint error.
dos2unix COPYING

%build
%configure --enable-manual
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%doc README
%doc THANKS
%doc doc/%{name}.dvi
%doc doc/%{name}.pdf
%doc doc/%{name}.ps
%{_bindir}/%{name}

%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 12 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.8.0-1
- Version bump to 0.8.0. Closes Red Hat Bugzilla bug #464360.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.0-3
- Autorebuild for GCC 4.3

* Tue Nov 20 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.7.0-2
- Changed the value of Group to Applications/Engineering.
- Preserved timestamps using 'install -p'.

* Sun Oct 07 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.7.0-1
- Initial build.
